$border_color: aqua;
$text_color: blue;
$b_radius: 20px;
$today_color: aquamarine;
//*:focus {
//  outline: none;
//}
.date-input-holder {
  &:focus {
    outline: none;
  }

  outline: none;
  color: $text_color;
  width: 45%;
  height: 50px;
  //height: 25px;
  overflow: visible;
  display: inline-block;
  margin-right: 10px;
  position: relative;

  .date-input {
    &::selection {
      background-color: transparent;
    }

    width: 100%;
    color: $text_color;
    outline: none;
    border: {
      color: $text_color;
      style: solid;
      radius: 100px;
      width: 1px;
    }
    text-align: center;
  }

  .calendar {
    width: 100%;
    height: 250px;
    visibility: hidden;
    position: absolute;
    z-index: 10;
    background: {
      color: white;
    }
    border: {
      color: $border_color;
      width: 1px;
      style: solid;
      radius: $b_radius;
    }

    div {
      border-bottom: {
        color: $border_color;
        style: solid;
        width: 1px;
      }

      &.header {
        width: 100%;
        height: 20%;

        span {
          display: inline-block;
          margin: 0;
          height: 100%;
          border: none;
          padding: 0;
          box-sizing: border-box;
          padding-top: 2% !important;

          &.change {
            width: 20%;
            text-align: center;
          }

          &.select-holder {
            width: 49%;

            select {
              width: 50%;
              text-align: center;

              option {
                text-align: center;
              }
            }
          }


        }
      }

      &.body {
        height: 65%;

        table {
          width: 100%;
          height: 100%;
          border-collapse: collapse;

          thead {
            td {
              border-collapse: collapse;
              box-sizing: border-box;
              border: none;
              text-align: center;

            }
          }

          tr {
            td {
              position: relative;
              border: none !important;
              font: {
                size: 18px;
              }

              &:hover {
                background: {
                  color: azure;
                }
              }

              text-align: center;

              &.today {
                background: {
                  color: $today_color !important;
                }
              }

              &.selected-day {
                background-color: yellow !important;
              }

              &.weekend {
                color: red;
              }

              .gregorian {
                position: absolute;
                color: #d516e1;
                font-size: 15px;
                bottom: -10%;
                right: 10%;
              }
            }
          }
        }
      }

      &.footer {
        height: 15%;
        border: {
          bottom: none;
          bottom-right-radius: $b_radius;
          bottom-left-radius: $b_radius;
        }
        background: {
          color: $today_color;
        }
        text-align: center;
      }
    }
  }
}